### Class

# JavaScriptCore WeakValue

#### Description [src]

    class JavaScriptCore.WeakValue : GObject.Object
    {
      JSCWeakValuePrivate* priv
    }

JSCWeakValue represents a weak reference to a value in a `JSCContext`. It can be used to keep a reference to a JavaScript value without protecting it from being garbage collected and without referencing the `JSCContext` either.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### jsc_weak_value_new

Create a new `JSCWeakValue` for the JavaScript value referenced by `value`.

#### Instance methods

###### jsc_weak_value_get_value

Get a `JSCValue` referencing the JavaScript value of `weak_value`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### JavaScriptCore.WeakValue:value

The `JSCValue` referencing the JavaScript value.

#### Signals

###### JavaScriptCore.WeakValue::cleared

This signal is emitted when the JavaScript value is destroyed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct JavaScriptCoreWeakValueClass {
      GObjectClass parent_class;
      void (* _jsc_reserved0) (
    void
      );
      void (* _jsc_reserved1) (
    void
      );
      void (* _jsc_reserved2) (
    void
      );
      void (* _jsc_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_jsc_reserved0: void (* _jsc_reserved0) ( void )`

  No description available.

`_jsc_reserved1: void (* _jsc_reserved1) ( void )`

  No description available.

`_jsc_reserved2: void (* _jsc_reserved2) ( void )`

  No description available.

`_jsc_reserved3: void (* _jsc_reserved3) ( void )`

  No description available.